/* ***** BEGIN LICENSE BLOCK *****
 * Copyright (c) 2002-4 Simon Woodside.
 * Original Author: Simon Woodside <sbwoodside@yahoo.com>
 * This file is part of FractalTrees.
 *     FractalTrees is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *     FractalTrees is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *     You should have received a copy of the GNU General Public License
 * along with FractalTrees; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ***** END LICENSE BLOCK ***** */

#import <AppKit/AppKit.h>

@class FractalView, SSCircularSlider;

typedef enum {
  SWSpectrumColourStyle = 0,
  SWGradientColourStyle = 1,
  SWTwoColourStyle = 2,
  SWOneColourStyle = 3,
} SWColourStyle;

@interface ColourController : NSObject
{
  IBOutlet FractalView * view;
  IBOutlet id colourStyleUI;
  IBOutlet id alphaSlider;
  //IBOutlet SSCircularSlider * spectrumUI;
  IBOutlet NSColorWell * gradientStartColourWell;
  IBOutlet NSColorWell * gradientEndColourWell;
  IBOutlet NSColorWell * monochromeColourWell;
  IBOutlet NSColorWell * backgroundColourWell;

  int height;
  NSMutableDictionary * lastSettings;
}

- (void)setHeight:(int)d;
- (void)autoEnableColourControls;
- (NSColor *)backgroundColour;
- (NSColor *)getColourForLevel:(int)level withPosition:(float)pos;
- (BOOL)colourUIHasReallyChanged;
@end
