/* ***** BEGIN LICENSE BLOCK *****
 * Copyright (c) 2002-4 Simon Woodside.
 * Original Author: Simon Woodside <sbwoodside@yahoo.com>
 * This file is part of FractalTrees.
 *     FractalTrees is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *     FractalTrees is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *     You should have received a copy of the GNU General Public License
 * along with FractalTrees; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ***** END LICENSE BLOCK ***** */

#import <AppKit/AppKit.h>

@class FractalBranch, FractalTree, ColourController, FractalController;

typedef enum {
  NeverFrequency = 0,
  EveryBranchFrequency = 1,
  EveryLevelFrequency = 2,
  TimedFrequency = 3
} DrawFlushFrequency;

@interface FractalView : NSImageView
{
  IBOutlet id controller;
  IBOutlet id colour;
  IBOutlet id otherView;
  
  //    NSImage * imageBuf;
  
  BOOL practiceDraw;
  DrawFlushFrequency drawFlushFreq;
  NSRect newRect;
  float aspectRatio;
  float pixelSize;
  BOOL abortForChanges;
  NSDate * lastFlushDate;
  NSDate * lastAbortCheckDate;
  BOOL runAutofit;
  BOOL abortedLastDrawForChanges;
}

- (id)initWithFrame:(NSRect)frame;
- (void)drawRect:(NSRect)rect;
- (void)drawTree:(FractalTree*)tree;

- (void)copy;
- (void)export;
- (void)exportPanelDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(void  *)contextInfo;

@end
